[SciPy-user] New Python Releases and SciPy

Lorenzo Isella lorenzo.isella@gmail....
Tue Jan 8 04:38:01 CST 2008


Dear All,
Maybe mine is a silly concern, but within a year/year and a half we
may see two new Python releases: 2.6 and 3.0.
It is already known that 3.0 will not be 100% backward compatible. I
use Python only for scientific purposes and I mainly rely on SciPy,
but I wonder if there is anything I should worry about, like being
unable to run my own codes after upgrading to the 3.x series and
having to apply some non-trivial fixes.
Are my concerns groundless?
Cheers

Lorenzo


More information about the SciPy-user mailing list